﻿$ErrorActionPreference = 'Stop';
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'smart-common.msi'

#Based on Msi
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  softwareName  = 'SMART Common Files*'
  file          = $fileLocation
  fileType      = 'msi'
  silentArgs    = "/qn /norestart /l*v `"$env:TEMP\$env:ChocolateyPackageName.$env:ChocolateyPackageVersion.log`""
  validExitCodes= @(0,1641,3010)
  url           = ""
  checksum      = 'FBBF54C51707556B8EDE0436DF89A5AC5C2B2F610B8FB566AF063816DFB7D260'
  checksumType  = 'sha256'
  url64bit      = ""
  checksum64    = ''
  checksumType64= 'sha256'
  destination   = $toolsDir
  #installDir   = "" # passed when you want to override install directory - requires licensed editions 1.9.0+
}

Install-ChocolateyInstallPackage @packageArgs

<#
== MSI Properties ==
These are the PROPERTIES of the MSI, some of which you can add or change to the silent args or add as package parameters
Note: This only captures what ends up in the MSI Property/AppSearch tables and is not guaranteed to cover all properties.


CUSTOMER_LOGGING_REAL=#0
WIXUI_INSTALLDIR=INSTALLDIR
ALLUSERS=1
ARPNOMODIFY=1
ARPPRODUCTICON=CommonFiles_Icon
1=**Property found in CFProperties**
CHECKFORUPDATES=**Property found in SecureCustomProperties**
ARPURLINFOABOUT=http://www.smarttech.com
ARPHELPLINK=http://www.smarttech.com/contactsupport
ARPHELPTELEPHONE=1.866.518.6791 (+1.403.228.5940)
CUSTOMER_LOGGING=-1
ACC=**Property found in SecureCustomProperties**
ROLLBACKTEST=**Property found in SecureCustomProperties**
WIX_DOWNGRADE_DETECTED=**Property found in SecureCustomProperties**
WIX_UPGRADE_DETECTED=**Property found in SecureCustomProperties**
INSTALL_SPU_REAL.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=#1
SPU_TIME_FRAME_REAL.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=#30
PRODUCT_NOTIFICATION_REAL.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=#1
INSTALL_SPU=-1
SPU_TIME_FRAME=-1
PRODUCT_NOTIFICATION=-1
INSTALLDIR_FOUND=**Value is determined by MSI function**
CUSTOMER_LOGGING_REAL=**Value is determined by MSI function**
IIS_VERSION.52AB36E8_8C08_446E_9952_48F184422C64=**Value is determined by MSI function**
IIS_VERSION.5B498F5F_ECCA_4637_82E6_B5387E660209=**Value is determined by MSI function**
IIS_VERSION.D82911BF_AA7A_456A_877C_D6F26CFDE411=**Value is determined by MSI function**
IIS_VERSION.2EA8DEBC_2C45_452D_A646_9545B3926B39=**Value is determined by MSI function**
IIS_VERSION.938D0794_5773_4AFC_AFDA_947A0A991757=**Value is determined by MSI function**
OLD_SPU_FOUND.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=**Value is determined by MSI function**
OLD_SPU_FOUND1.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=**Value is determined by MSI function**
INSTALL_SPU_REAL.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=**Value is determined by MSI function**
SPU_TIME_FRAME_REAL.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=**Value is determined by MSI function**
PRODUCT_NOTIFICATION_REAL.27A7F639_51D7_46C3_AE0B_42BE90F1CFAB=**Value is determined by MSI function**
INSTALLDIR=**Value is used in MSI custom action DeleteEmptyFoldersOnUninstallProperty**
SETUPEXEDIR=**Value is used in MSI custom action HandleMsiSourceListSetInfoCA_Prop1**
SPU_FOLDER=**Value is used in MSI custom action RegisterActivationWizard**
IS_PREVENT_DOWNGRADE_EXIT=**Value is used in MSI custom action ISPreventDowngrade**
#>

